[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LazHelpIntf' (#lcl)

# CombineURL

Builds a URL using the specified scheme, path, and parameter values.

## Declaration

Source position: lazhelpintf.pas line 590

`function CombineURL(`
`const URLScheme: string;`
`const URLPath: string;`
`const URLParams: string`
`):string;`

## Arguments

`URLScheme` |  | URL scheme to use in the URL.
`URLPath` |  | Path to the file used in the URL.
`URLParams` |  | Parameter values for the URL.

## Function result

URL for the specified values.

## Description

CombineURL is a String function used to build a URL using the specified parameter values.

URLScheme contains the name of scheme used in the URL, like 'file', 'http', or 'https'. It should not include the characters '://'; these are appended to URLScheme just prior to URLPath in the function.

When assigned, values in URLParams are included at the end of the return value.